Opened 14 years ago

Last modified 7 years ago

#145 closed defect (Fixed)

rpmbuild on SuSE 9.2 fails, missing rpm-build

Reported by: merriam Owned by: phobos
Priority: Low Milestone:
Component: Core Tor/Tor Version: 0.1.0.7-rc
Severity: Keywords:
Cc: merriam Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Running rpmbuild on SuSE 9.2 for 0.1.0.7-rc fails because the spec file requires package "rpm-build". In SuSE the rpmbuild program is included in the "rpm" package. Also the password utilities are in package pwdutils rather than shadow-util. I changed it to test %{is_suse} and require the correct packages. It now builds, but won't install, claiming libevent is missing, which is isn't. I will figure that out.

[Automatically added by flyspray2trac: Operating System: Other Linux]

Child Tickets

Change History (4)

comment:1 Changed 14 years ago by arma

Great, I look forward to seeing your patch.

You might want to use 0.1.0.8-rc now that it's out, since we fixed up a few pieces of the spec file from the previous version.

comment:2 Changed 14 years ago by phobos

Is this still a problem?

comment:3 Changed 13 years ago by nickm

flyspray2trac: bug closed.
No comments on 0.1.0.8 fix for 7 months; assuming this bug is fixed. Please reopen if not.

comment:4 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.